API documentation | API docs for agents | OpenAPI 3.1

GET /api/v1/carriers/{carrierId}/onboarding-profile

ark.get_carrier_onboarding_profile

Returns the saved provider onboarding profile for an organization carrier, including current packet status, agreements, artifacts, contacts, insurance, compliance, safety, authority, identity, and payment provenance read models.

Availability
Expanded preview
Scopes
carriers:read
ARK permissions
canViewCarriers
Team visibility
Not entity-scoped
Idempotency-Key
Not required
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

carrierIdpathstringrequired
format: uuid

Request body

None.

Example request

Shell
curl 'https://arktms.com/api/v1/carriers/<carrierId>/onboarding-profile' \
  -H "Authorization: Bearer $ARK_API_TOKEN"

Success response

Carrier onboarding profile

objectstringrequired

one of: api_response

okbooleanrequired

one of: true

api_versionstringrequired

one of: 2026-05-31

request_idstringrequired
dataobjectrequired
data.carrierIdstringrequired

format: uuid

data.carrierNamestring | nullrequired
data.dotNumberstring | nullrequired
data.mcNumberstring | nullrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found